com.example.instilostandfound

## Class MyPostsAdaptor.myViewHolder

- java.lang.Object
- - androidx.recyclerview.widget.RecyclerView.ViewHolder
  - - com.example.instilostandfound.MyPostsAdaptor.myViewHolder

All Implemented Interfaces:
  android.view.MenuItem.OnMenuItemClickListener, android.view.View.OnClickListener, android.view.View.OnCreateContextMenuListener

Enclosing class:
  MyPostsAdaptor

    public class MyPostsAdaptor.myViewHolder
    extends androidx.recyclerview.widget.RecyclerView.ViewHolder
    implements android.view.View.OnClickListener, android.view.View.OnCreateContextMenuListener, android.view.MenuItem.OnMenuItemClickListener

Creates recycler view for viewing item image and the title

### Field Summary

Fields
`android.widget.ImageView` `imageView`
`android.widget.TextView` `textViewname`

### Fields inherited from class androidx.recyclerview.widget.RecyclerView.ViewHolder

`itemView`

### Constructor Summary

Constructors
Constructor and Description
`myViewHolder(android.view.View itemView)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onClick(android.view.View v)`
`void` `onCreateContextMenu(android.view.ContextMenu menu, android.view.View v, android.view.ContextMenu.ContextMenuInfo menuInfo)` Menu that comes up when user right clicks image
`boolean` `onMenuItemClick(android.view.MenuItem item)` Method executed when user long clicks item

### Methods inherited from class androidx.recyclerview.widget.RecyclerView.ViewHolder

`getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### textViewname

    public android.widget.TextView textViewname

#### imageView

    public android.widget.ImageView imageView

### Constructor Detail

#### myViewHolder

    public myViewHolder(@NonNull
                        android.view.View itemView)

### Method Detail

#### onClick

    public void onClick(android.view.View v)

Specified by:
  `onClick` in interface `android.view.View.OnClickListener`

#### onCreateContextMenu

    public void onCreateContextMenu(android.view.ContextMenu menu,
                                    android.view.View v,
                                    android.view.ContextMenu.ContextMenuInfo menuInfo)

Menu that comes up when user right clicks image

Specified by:
  `onCreateContextMenu` in interface `android.view.View.OnCreateContextMenuListener`
Parameters:
  `menu` - menu item default
  `v` - view default
  `menuInfo` - menu default

#### onMenuItemClick

    public boolean onMenuItemClick(android.view.MenuItem item)

Method executed when user long clicks item

Specified by:
  `onMenuItemClick` in interface `android.view.MenuItem.OnMenuItemClickListener`
Parameters:
  `item` -
Returns: